Retrieves all connections
GET /connections
List all transit gateway connections associated with this account. Results can be filtered by `network_id` or `network_type`. Use the `limit` and `start` parameters to page through large result sets. The response includes a `TransitConnection` object for each connection, containing fields such as `id`, `name`, `network_type`, `status`, `created_at`, `updated_at`, and optionally `prefix_filters`, `request_status`, and `transit_gateway` reference.
Request
Response
200 - The connections were retrieved successfully.
connections
array
Array of transit gateway connections
first
PaginationFirstConnection
A reference to the first page of resources
limit
integer
The maximum number of connections returned on one request
next
PaginationNextConnection
A reference to the next page of resources; this reference is included for all pages except the last page
Lists all locations that support Transit Gateways
GET /locations
List all locations that support Transit Gateways.
Request
Path Parameters
Query Parameters
version
Required *
string
Requests the version of the API as of a date in the format `YYYY-MM-DD`. Any date up to the current date may be provided. Specify the current date to request the latest version.
Response
200 - Successfully retrieved the list of Transit Gateway locations.
locations
array
Collection of Transit Gateway locations
Shows the details of a given Transit Gateway location
GET /locations/{name}
Get the details of a Transit Gateway Location.
Request
Path Parameters
name
Required *
string
The Transit Gateway location Name
Query Parameters
version
Required *
string
Requests the version of the API as of a date in the format `YYYY-MM-DD`. Any date up to the current date may be provided. Specify the current date to request the latest version.
Response
200 - Successfully retrieved the Transit Gateway Location.
billing_location
string
The geographical location of this location, used for billing purposes
name
string
Name of the Location
type
string
The type of the location, determining is this a multi-zone region, a single data center, or a point of presence.
local_connection_locations
array
The set of network locations that are considered local for this Transit Gateway location
zones
array
List of valid zones for GRE tunnels
404 - The given location name could not be found.
errors
array
Array of errors
trace
string
Unique error identifier
Lists all redundancy groups in the account
GET /redundancy_groups
List all redundancy groups for the account.
Request
Path Parameters
Query Parameters
version
Required *
string
Requests the version of the API as of a date in the format `YYYY-MM-DD`. Any date up to the current date may be provided. Specify the current date to request the latest version.
name
string
Filter the list of redundancy groups by name
Response
200 - Successfully retrieved the list of redundancy groups.
redundancy_groups
array
Collection of redundancy groups
Retrieves specified redundancy group
GET /redundancy_groups/{id}
Retrieves a single redundancy group specified by the identifier in the URL.
Request
Response
200 - The redundancy group was retrieved successfully.
created_at
string
The date and time that this redundancy group was created
id
string
The unique identifier for this redundancy group
name
string
The redundancy group name
updated_at
string
The date and time that this redundancy group was last updated
404 - A redundancy group with the specified identifier could not be found.
errors
array
Array of errors
trace
string
Unique error identifier
Updates a redundancy group
PATCH /redundancy_groups/{id}
Update a redundancy group.
Request
Request Body
The redundancy group update template
Response
200 - The redundancy group was renamed successfully.
created_at
string
The date and time that this redundancy group was created
id
string
The unique identifier for this redundancy group
name
string
The redundancy group name
updated_at
string
The date and time that this redundancy group was last updated
400 - The supplied redundancy group patch was invalid.
errors
array
Array of errors
trace
string
Unique error identifier
404 - A redundancy group with the specified identifier could not be found.
errors
array
Array of errors
trace
string
Unique error identifier
Retrieves all Transit Gateways
GET /transit_gateways
List all Transit Gateways in the account the caller is authorized to view. Use the `limit` (integer, 1–100, default 50) and `start` (string token) parameters to page through results. Optionally filter by `redundancy_group` name. Each `TransitGateway` in the response includes: `id`, `name`, `crn`, `location`, `status` (pending, available, deleting, deleted, failed), `global` (boolean), `created_at`, `updated_at`, `resource_group`, and optionally `redundancy_group`, `redundancy_group_id`, `gre_enhanced_route_propagation`, and `connection_needs_attention`.
Request
Path Parameters
Query Parameters
version
Required *
string
Requests the version of the API as of a date in the format `YYYY-MM-DD`. Any date up to the current date may be provided. Specify the current date to request the latest version.
limit
integer
The maximum number of resources to return per page
start
string
A server supplied token determining which resource to start the page on
redundancy_group
string
Filter the list of transit gateways by redundancy group name
Response
200 - The Transit Gateways were retrieved successfully.
first
PaginationFirstTG
A reference to the first page of resources
limit
integer
The maximum number of gateways returned on one request
next
PaginationNextTG
A reference to the next page of resources; this reference is included for all pages except the last page
transit_gateways
array
Collection of Transit Services gateways
Creates a Transit Gateway
POST /transit_gateways
Create a Transit Gateway based on the supplied input template. Required fields: `name` (string, 1–60 chars), `location` (IBM Cloud region, e.g. us-south). Optional fields: `global` (boolean, enables cross-region routing), `resource_group` (object with `id`), `redundancy_group` (string, name of the redundancy group to join), `redundancy_group_id` (string, ID of an existing redundancy group in the account), `gre_enhanced_route_propagation` (boolean). Either `redundancy_group` or `redundancy_group_id` can be provided, but not both. Returns a `TransitGateway` object. Initial `status` will be `pending` while provisioning.
Request
Request Body
TGCreateTemplate
The Transit Gateway template
global
boolean
Allow global routing for a Transit Gateway. If unspecified, the default value is false.
gre_enhanced_route_propagation
boolean
Allow route propagation across all GREs connected to the same transit gateway. This affects connections on the gateway of type `redundant_gre`, `unbound_gre_tunnel` and `gre_tunnel`.
location
Required *
string
Location of Transit Gateway Services
name
Required *
string
A human readable name for the transit gateway
redundancy_group
string
Include the global transit gateway in this redundancy group. When set, this transit gateway will be redundant to other transit gateways in this redundancy group. If this redundancy group doesn't exist in the account, it will be created. This property can only be set for global transit gateways and the transit gateway cannot be in a location already used by a global transit gateway in this redundancy group. If specified, `redundancy_group_id` cannot also be specified.
redundancy_group_id
string
Include the transit gateway in an existing redundancy group in the account. This property can only be set for global transit gateways and the transit gateway cannot be in a location already used by a global transit gateway in this redundancy group. If specified, `redundancy_group` cannot also be specified.
resource_group
ResourceGroupIdentity
The resource group to use. If unspecified, the account's default resource group is used.
id
Required *
string
The unique identifier for this resource group
Path Parameters
Query Parameters
version
Required *
string
Requests the version of the API as of a date in the format `YYYY-MM-DD`. Any date up to the current date may be provided. Specify the current date to request the latest version.
Response
201 - The Transit Gateway was created successfully.
connection_count
integer
The number of connections associated with this Transit Gateway
connection_needs_attention
boolean
Indicates if this Transit Gateway has a connection that needs attention (Such as cross account approval)
created_at
string
The date and time that this gateway was created
crn
string
Cloud Resource Name of a transit gateway
global
boolean
Allow global routing for a Transit Gateway
gre_enhanced_route_propagation
boolean
Allow route propagation across all GREs connected to the same transit gateway. This affects connections on the gateway of type `redundant_gre`, `unbound_gre_tunnel` and `gre_tunnel`.
id
string
A unique identifier for this transit gateway
location
string
Location of Transit Gateway Services
name
string
A human readable name for the transit gateway
redundancy_group
string
The redundancy group for this global transit gateway. The global transit gateways in this redundancy group will be redundant to each other.
redundancy_group_id
string
The unique identifier of the redundancy group for this global transit gateway.
resource_group
ResourceGroupReference
The resource group to use. If unspecified, the account's default resource group is used.
status
string
The status of the Transit Gateway. The list of enumerated values for this property may expand in the future. Code and processes using this field must tolerate unexpected values.
updated_at
string
The date and time that this gateway was last updated
400 - An invalid Transit Gateway template was provided.
errors
array
Array of errors
trace
string
Unique error identifier
404 - A Transit Gateway location could not be found for the identifier given in the template, a resource group could not be found for the given resource group identifier, or the default resource group could not be found for the account (if no resource group identifier was supplied).
errors
array
Array of errors
trace
string
Unique error identifier
409 - The Transit Gateway could not be created as a transit gateway with the same name already exists.
errors
array
Array of errors
trace
string
Unique error identifier
Deletes specified Transit Gateway
DELETE /transit_gateways/{id}
Delete a Transit Gateway specified by its `id` path parameter. This operation cannot be reversed. The gateway must have no attached connections before it can be deleted; remove all connections first.
Request
Response
204 - The Transit Gateway was deleted successfully.
404 - A Transit Gateway with the specified identifier could not be found.
errors
array
Array of errors
trace
string
Unique error identifier
409 - The Transit Gateway could not be deleted as there are pre-existing connections attached.
errors
array
Array of errors
trace
string
Unique error identifier
Retrieves specified Transit Gateway
GET /transit_gateways/{id}
Retrieve a single Transit Gateway specified by its `id` path parameter. Returns a `TransitGateway` object containing: `id`, `name`, `crn`, `location`, `status`, `global`, `created_at`, `updated_at`, `resource_group`, and optionally `redundancy_group`, `redundancy_group_id`, `gre_enhanced_route_propagation`, and `connection_needs_attention`.
Request
Response
200 - The Transit Gateway was retrieved successfully.
connection_count
integer
The number of connections associated with this Transit Gateway
connection_needs_attention
boolean
Indicates if this Transit Gateway has a connection that needs attention (Such as cross account approval)
created_at
string
The date and time that this gateway was created
crn
string
Cloud Resource Name of a transit gateway
global
boolean
Allow global routing for a Transit Gateway
gre_enhanced_route_propagation
boolean
Allow route propagation across all GREs connected to the same transit gateway. This affects connections on the gateway of type `redundant_gre`, `unbound_gre_tunnel` and `gre_tunnel`.
id
string
A unique identifier for this transit gateway
location
string
Location of Transit Gateway Services
name
string
A human readable name for the transit gateway
redundancy_group
string
The redundancy group for this global transit gateway. The global transit gateways in this redundancy group will be redundant to each other.
redundancy_group_id
string
The unique identifier of the redundancy group for this global transit gateway.
resource_group
ResourceGroupReference
The resource group to use. If unspecified, the account's default resource group is used.
status
string
The status of the Transit Gateway. The list of enumerated values for this property may expand in the future. Code and processes using this field must tolerate unexpected values.
updated_at
string
The date and time that this gateway was last updated
404 - A Transit Gateway with the specified identifier could not be found.
errors
array
Array of errors
trace
string
Unique error identifier
Updates specified Transit Gateway
PATCH /transit_gateways/{id}
Update a Transit Gateway specified by its `id` path parameter. Updatable fields: `name` (string), `global` (boolean), `redundancy_group` (string, assigns the gateway to a redundancy group), `gre_enhanced_route_propagation` (boolean). Returns the updated `TransitGateway` object.
Request
Request Body
TGPatchTemplate
Update a Transit Gateway
global
boolean
Allow global routing for a Transit Gateway. This property cannot be changed if the transit gateway has redundancy_group set.
gre_enhanced_route_propagation
boolean
Allow route propagation across all GREs connected to the same transit gateway. This affects connections on the gateway of type `redundant_gre`, `unbound_gre_tunnel` and `gre_tunnel`. It takes a few minutes for the change to take effect.
name
string
A human readable name for a resource
redundancy_group
string
Create a new redundancy group with this name and add the gateway to it. This property is only valid when the gateway is global (or `global` is set to `true` in the same request), the gateway is not already a member of a redundancy group, and no redundancy group with this name already exists in the account.
Response
200 - The Transit Gateway was updated successfully.
connection_count
integer
The number of connections associated with this Transit Gateway
connection_needs_attention
boolean
Indicates if this Transit Gateway has a connection that needs attention (Such as cross account approval)
created_at
string
The date and time that this gateway was created
crn
string
Cloud Resource Name of a transit gateway
global
boolean
Allow global routing for a Transit Gateway
gre_enhanced_route_propagation
boolean
Allow route propagation across all GREs connected to the same transit gateway. This affects connections on the gateway of type `redundant_gre`, `unbound_gre_tunnel` and `gre_tunnel`.
id
string
A unique identifier for this transit gateway
location
string
Location of Transit Gateway Services
name
string
A human readable name for the transit gateway
redundancy_group
string
The redundancy group for this global transit gateway. The global transit gateways in this redundancy group will be redundant to each other.
redundancy_group_id
string
The unique identifier of the redundancy group for this global transit gateway.
resource_group
ResourceGroupReference
The resource group to use. If unspecified, the account's default resource group is used.
status
string
The status of the Transit Gateway. The list of enumerated values for this property may expand in the future. Code and processes using this field must tolerate unexpected values.
updated_at
string
The date and time that this gateway was last updated
400 - The supplied Transit Gateway patch was invalid.
errors
array
Array of errors
trace
string
Unique error identifier
404 - A Transit Gateway with the specified identifier could not be found.
errors
array
Array of errors
trace
string
Unique error identifier
409 - The Transit Gateway could not be updated. Possible reasons include: pre-existing cross-region connections attached; the gateway is not global; the gateway is already a member of a redundancy group; or a redundancy group with the specified name already exists in the account.
errors
array
Array of errors
trace
string
Unique error identifier
Retrieves all connections in a Transit Gateway
GET /transit_gateways/{transit_gateway_id}/connections
This request retrieves all connections in a Transit Gateway.
Request
Path Parameters
Query Parameters
start
string
A server supplied token determining which resource to start the page on
limit
integer
The maximum number of resources to return per page
name
string
Search for connections with the given name
Response
200 - The connections were retrieved successfully.
connections
array
Array of transit gateways network Connections
first
PaginationFirstTGWConnection
A reference to the first page of resources. This will be returned when number of connections in response are greater than max page limit.
limit
integer
The maximum number of connections returned on one request. This will be returned when number of connections in response are greater than max page limit.
next
PaginationNextTGWConnection
A reference to the next page of resources; this reference is included for all pages except the last page.
total_count
integer
total number of resources across all pages (considering the supplied query parameter filters).
404 - The specified Transit Gateway could not be found.
errors
array
Array of errors
trace
string
Unique error identifier
Adds a connection to a Transit Gateway
POST /transit_gateways/{transit_gateway_id}/connections
Add a connection to Transit Gateway.
Request
Request Body
TransitGatewayConnectionTemplate
The connection template
base_connection_id
string
network_type `gre_tunnel` connections must be created over an existing network_type `classic` connection. This field must specify the ID of an active transit gateway network_type `classic` connection in the same transit gateway.
This field is required for network type `gre_tunnel` connections.
This field is required to be unspecified for network type `classic`, `directlink`, `vpc`, `power_virtual_server`, `unbound_gre_tunnel`, `vpn_gateway` and `redundant_gre` connections.
base_network_type
string
The type of network the Unbound GRE tunnel is targeting. This field is required for network type `unbound_gre_tunnel` and must be set to `classic`. For a `redundant_gre` network type, the value is required and can be either VPC or Classic. This field is required to be unspecified for network type `classic`, `directlink`, `vpc`, `power_virtual_server`, `vpn_gateway`, `dynamic_route_server` and `gre_tunnel` connections.
cidr
string
network_type `vpn_gateway` and `dynamic_route_server`connections use `cidr` to specify the CIDR to use for the VPN gateway / Dynamic route server GRE tunnels.
This field is optional for network type `vpn_gateway` and `dynamic_route_server` connections. If unspecified, the default value is 198.19.174.0/23.
This field is required to be unspecified for network type `classic`, `directlink`, `vpc`, `power_virtual_server`, `gre_tunnel`, `unbound_gre_tunnel`, and `redundant_gre` connections.
local_gateway_ip
string
Local gateway IP address. This field is required for network type `gre_tunnel` and `unbound_gre_tunnel` connections. This field is required to be unspecified for network type `classic`, `directlink`, `vpc`, `power_virtual_server`, `vpn_gateway`, `dynamic_route_server` and `redundant_gre` connections.
local_tunnel_ip
string
Local tunnel IP address. The local_tunnel_ip and remote_tunnel_ip addresses must be in the same /30 network. Neither can be the network nor broadcast addresses.
This field is required for network type `gre_tunnel` and `unbound_gre_tunnel` connections.
This field is required to be unspecified for network type `classic`, `directlink`, `vpc`, `power_virtual_server`, `vpn_gateway`, `dynamic_route_server` and `redundant_gre` connections.
name
string
The user-defined name for this transit gateway connection. Network type `vpc` connections are defaulted to the name of the VPC. Network type `classic` connections are named `classic`.
This field is required for network type `power_virtual_server`, `directlink`, `gre_tunnel`, `unbound_gre_tunnel`, `vpn_gateway`, `dynamic_route_server` and `redundant_gre` connections.
This field is optional for network type `classic`, `vpc` connections.
network_account_id
string
The ID of the account which owns the network that is being connected. Generally only used if the network is in a different account than the gateway. This field is required for type `unbound_gre_tunnel` when the associated_network_type is `classic` or network_type is `redundant_gre` and the GRE tunnel is in a different account than the gateway.
network_id
string
The ID of the network being connected via this connection. For network types `vpc`, `vpn_gateway`, `dynamic_route_server`, `power_virtual_server` and `directlink` this is the CRN of the VPC / VPN / Dynamic Route Server / PowerVS / Direct Link gateway respectively. This field is required for network type `vpc`, `power_virtual_server`, `vpn_gateway`, `dynamic_route_server` and `directlink` connections. It is also required for `redundant_gre` connections when the base_network_type is set to VPC. This field is required to be unspecified for network type `classic`, `gre_tunnel` and `unbound_gre_tunnel` connections.
network_type
Required *
string
Defines what type of network is connected via this connection.
prefix_filters
array
Array of prefix route filters for a transit gateway connection. Prefix filters can be specified for netowrk type `vpc`, `classic`, `power_virtual_server` and `directlink` connections. They are not allowed for type `gre_tunnel` connections. This is order dependent with those first in the array being applied first, and those at the end of the array being applied last, or just before applying the default. This field is optional for network type `classic`, `vpc`, `directlink`, and `power_virtual_server` connections. This field is required to be unspecified for network type `gre_tunnel`, `unbound_gre_tunnel`, `vpn_gateway`, `dynamic_route_server` and `redundant_gre` connections.
prefix_filters_default
string
Default setting of permit or deny which applies to any routes that don't match a specified filter. This field is optional for network type `classic`, `vpc`, `directlink`, and `power_virtual_server` connections. This field is required to be unspecified for network type `gre_tunnel`, `unbound_gre_tunnel`, `vpn_gateway`, `dynamic_route_server` and `redundant_gre` connections.
remote_bgp_asn
integer
Remote network BGP ASN. The following ASN values are reserved and unavailable 0, 13884, 36351, 64512, 64513, 65100, 65200-65234, 65402-65433, 65500, 65516, 65519, 65521, 65531 and 4201065000-4201065999. If `remote_bgp_asn` is omitted on gre_tunnel or unbound_gre_tunnel connection create requests IBM will assign an ASN.
This field is optional for network type `gre_tunnel` and `unbound_gre_tunnel` connections.
This field is required to be unspecified for network type `classic`, `directlink`, `vpc`, `power_virtual_server`, `vpn_gateway`, `dynamic_route_server` and `gre_tunnel` connections.
remote_gateway_ip
string
Remote gateway IP address. This field is required for network type `gre_tunnel` and `unbound_gre_tunnel` connections. This field is required to be unspecified for network type `classic`, `directlink`, `vpc`, `power_virtual_server`, `vpn_gateway`, `dynamic_route_server` and `redundant_gre` connections.
remote_tunnel_ip
string
Remote tunnel IP address. The local_tunnel_ip and remote_tunnel_ip addresses must be in the same /30 network. Neither can be the network nor broadcast addresses.
This field is required for network type `gre_tunnel` and `unbound_gre_tunnel` connections.
This field is required to be unspecified for network type `classic`, `directlink`, `vpc`, `power_virtual_server`, `vpn_gateway`, `dynamic_route_server` and `redundant_gre` connections.
tunnels
array
Array of GRE tunnels for a transit gateway `redundant_gre` connections. This field is required for `redundant_gre` connections.
zone
object
Specify the connection's location. The specified availability zone must reside in the gateway's region. Use the IBM Cloud global catalog to list zones within the desired region.
This field is required for network type `gre_tunnel`, and `unbound_gre_tunnel` connections.
This field is optional for network type `vpn_gateway` connections.
This field is required to be unspecified for network type `classic`, `directlink`, `vpc`, `power_virtual_server`, `redundant_gre` and `dynamic_route_server` connections.
Response
201 - The Transit Gateway connection was created successfully.
base_connection_id
string
network_type `gre_tunnel` connections use `base_connection_id` to specify the ID of a network_type `classic` connection the tunnel is configured over. The specified connection must reside in the same transit gateway and be in an active state. The `classic` connection cannot be deleted until any `gre_tunnel` connections using it are deleted. This field only applies to and is required for network type `gre_tunnel` connections.
base_network_type
string
The type of network the Unbound GRE tunnel is targeting. This field is required for network type `unbound_gre_tunnel` and must be set to `classic`. For a `redundant_gre` network type, the value is required and can be either VPC or Classic. This field is required to be unspecified for network type `classic`, `directlink`, `vpc`, `power_virtual_server`, `vpn_gateway`, `dynamic_route_server` and `gre_tunnel` connections.
cidr
string
network_type `vpn_gateway` and `dynamic_route_server` connections use `cidr` to specify the CIDR to use for the `VPN gateway / Dynamic route server` GRE tunnels
created_at
string
The date and time that this connection was created
id
string
The unique identifier for this Transit Gateway connection
local_bgp_asn
integer
Local network BGP ASN. This field only applies to network type `gre_tunnel` and `unbound_gre_tunnel` connections.
local_gateway_ip
string
Local gateway IP address. This field only applies to network type `gre_tunnel` and `unbound_gre_tunnel` connections.
local_tunnel_ip
string
Local tunnel IP address. This field only applies to network type `gre_tunnel` and `unbound_gre_tunnel` connections.
mtu
integer
GRE tunnel MTU. This field only applies to network type `gre_tunnel` and `unbound_gre_tunnel` connections.
name
string
The user-defined name for this transit gateway connection. Network type `vpc` connections are defaulted to the name of the VPC. Network type `classic` connections are named `classic`.
This field is required for network type `power_virtual_server`, `directlink`, `gre_tunnel`, `unbound_gre_tunnel`, `vpn_gateway`, `dynamic_route_server` and `redundant_gre` connections.
This field is optional for network type `classic`, `vpc` connections.
network_account_id
string
The ID of the account which owns the connected network. Generally only used if the network is in a different IBM Cloud account than the gateway.
network_id
string
The ID of the network being connected via this connection. For network types `vpc`, `vpn_gateway`, `dynamic_route_server`, `power_virtual_server` and `directlink` this is the CRN of the VPC / VPN / Dynamic Route Server / PowerVS / Direct Link gateway respectively. This field is required for network type `vpc`, `power_virtual_server`, `vpn_gateway`, `dynamic_route_server` and `directlink` connections. It is also required for `redundant_gre` connections when the base_network_type is set to VPC. This field is required to be unspecified for network type `classic`, `gre_tunnel` and `unbound_gre_tunnel` connections.
network_type
string
Defines what type of network is connected via this connection.
prefix_filters
array
Array of prefix route filters for a transit gateway connection. This is order dependent with those first in the array being applied first, and those at the end of the array is applied last, or just before the default. This field does not apply to the `redundant_gre` network type.
prefix_filters_default
string
Default setting of permit or deny which applies to any routes that don't match a specified filter. This field does not apply to the `redundant_gre` network type.
remote_bgp_asn
integer
Remote network BGP ASN. This field only applies to network type `gre_tunnel` and `unbound_gre_tunnel` connections.
remote_gateway_ip
string
Remote gateway IP address. This field only applies to network type `gre_tunnel` and `unbound_gre_tunnel` connections.
remote_tunnel_ip
string
Remote tunnel IP address. This field only applies to network type `gre_tunnel` and `unbound_gre_tunnel` connections.
request_status
string
Only visible for cross account connections, this field represents the status of a connection request between IBM Cloud accounts. The list of enumerated values for this property may expand in the future. Code and processes using this field must tolerate unexpected values.
status
string
Connection's current configuration state. The list of enumerated values for this property may expand in the future. Code and processes using this field must tolerate unexpected values.
tunnels
array
Collection of all tunnels for `redundant_gre`, `vpn_gateway` and `dynamic_route_server` connections.
updated_at
string
The date and time that this connection was last updated
zone
object
Location of GRE tunnel. This field is required for network type `gre_tunnel` and `unbound_gre_tunnel` connections. This field is optional for network type `vpn_gateway` connections.
400 - An invalid connection template was provided.
errors
array
Array of errors
trace
string
Unique error identifier
404 - The specified Transit Gateway could not be found, the specified resource group could not be found, or the default resource group could not be found (if the resource group was not specified in the template).
errors
array
Array of errors
trace
string
Unique error identifier
409 - The network being connected must either be in a location that is considered "local" to the specified Transit Gateway, or the specified Transit Gateway needs to be global. The network being connected cannot already be connected to another Transit Gateway.
errors
array
Array of errors
trace
string
Unique error identifier
Removes a connection from Transit Gateway
DELETE /transit_gateways/{transit_gateway_id}/connections/{id}
After the specified connection is detached, entities still within the Transit Gateway will no longer be able to communicate directly to it through the IBM Cloud private backbone.
Request
Response
204 - The connection was removed successfully.
404 - A Transit Gateway or Transit Gateway connection with the specified identifier could not be found.
errors
array
Array of errors
trace
string
Unique error identifier
Retrieves specified Transit Gateway connection
GET /transit_gateways/{transit_gateway_id}/connections/{id}
This request retrieves a connection from the Transit Gateway.
Request
Response
200 - The connection was retrieved successfully.
base_connection_id
string
network_type `gre_tunnel` connections use `base_connection_id` to specify the ID of a network_type `classic` connection the tunnel is configured over. The specified connection must reside in the same transit gateway and be in an active state. The `classic` connection cannot be deleted until any `gre_tunnel` connections using it are deleted. This field only applies to and is required for network type `gre_tunnel` connections.
base_network_type
string
The type of network the Unbound GRE tunnel is targeting. This field is required for network type `unbound_gre_tunnel` and must be set to `classic`. For a `redundant_gre` network type, the value is required and can be either VPC or Classic. This field is required to be unspecified for network type `classic`, `directlink`, `vpc`, `power_virtual_server`, `vpn_gateway`, `dynamic_route_server` and `gre_tunnel` connections.
cidr
string
network_type `vpn_gateway` and `dynamic_route_server` connections use `cidr` to specify the CIDR to use for the `VPN gateway / Dynamic route server` GRE tunnels
created_at
string
The date and time that this connection was created
id
string
The unique identifier for this Transit Gateway connection
local_bgp_asn
integer
Local network BGP ASN. This field only applies to network type `gre_tunnel` and `unbound_gre_tunnel` connections.
local_gateway_ip
string
Local gateway IP address. This field only applies to network type `gre_tunnel` and `unbound_gre_tunnel` connections.
local_tunnel_ip
string
Local tunnel IP address. This field only applies to network type `gre_tunnel` and `unbound_gre_tunnel` connections.
mtu
integer
GRE tunnel MTU. This field only applies to network type `gre_tunnel` and `unbound_gre_tunnel` connections.
name
string
The user-defined name for this transit gateway connection. Network type `vpc` connections are defaulted to the name of the VPC. Network type `classic` connections are named `classic`.
This field is required for network type `power_virtual_server`, `directlink`, `gre_tunnel`, `unbound_gre_tunnel`, `vpn_gateway`, `dynamic_route_server` and `redundant_gre` connections.
This field is optional for network type `classic`, `vpc` connections.
network_account_id
string
The ID of the account which owns the connected network. Generally only used if the network is in a different IBM Cloud account than the gateway.
network_id
string
The ID of the network being connected via this connection. For network types `vpc`, `vpn_gateway`, `dynamic_route_server`, `power_virtual_server` and `directlink` this is the CRN of the VPC / VPN / Dynamic Route Server / PowerVS / Direct Link gateway respectively. This field is required for network type `vpc`, `power_virtual_server`, `vpn_gateway`, `dynamic_route_server` and `directlink` connections. It is also required for `redundant_gre` connections when the base_network_type is set to VPC. This field is required to be unspecified for network type `classic`, `gre_tunnel` and `unbound_gre_tunnel` connections.
network_type
string
Defines what type of network is connected via this connection.
prefix_filters
array
Array of prefix route filters for a transit gateway connection. This is order dependent with those first in the array being applied first, and those at the end of the array is applied last, or just before the default. This field does not apply to the `redundant_gre` network type.
prefix_filters_default
string
Default setting of permit or deny which applies to any routes that don't match a specified filter. This field does not apply to the `redundant_gre` network type.
remote_bgp_asn
integer
Remote network BGP ASN. This field only applies to network type `gre_tunnel` and `unbound_gre_tunnel` connections.
remote_gateway_ip
string
Remote gateway IP address. This field only applies to network type `gre_tunnel` and `unbound_gre_tunnel` connections.
remote_tunnel_ip
string
Remote tunnel IP address. This field only applies to network type `gre_tunnel` and `unbound_gre_tunnel` connections.
request_status
string
Only visible for cross account connections, this field represents the status of a connection request between IBM Cloud accounts. The list of enumerated values for this property may expand in the future. Code and processes using this field must tolerate unexpected values.
status
string
Connection's current configuration state. The list of enumerated values for this property may expand in the future. Code and processes using this field must tolerate unexpected values.
tunnels
array
Collection of all tunnels for `redundant_gre`, `vpn_gateway` and `dynamic_route_server` connections.
updated_at
string
The date and time that this connection was last updated
zone
object
Location of GRE tunnel. This field is required for network type `gre_tunnel` and `unbound_gre_tunnel` connections. This field is optional for network type `vpn_gateway` connections.
404 - A connection or gateway with the specified identifier(s) could not be found.
errors
array
Array of errors
trace
string
Unique error identifier
Updates specified Transit Gateway connection
PATCH /transit_gateways/{transit_gateway_id}/connections/{id}
Update the name of a connection to a Transit Gateway.
Request
Request Body
TransitGatewayConnectionPatch
The connection template
name
string
The user-defined name for this transit gateway. If specified as empty string or nil, the name will be the network name (the name of the VPC in the case of network type `vpc`, and the word Classic, in the case of network type `classic`).
prefix_filters_default
string
Default setting of permit or deny which applies to any routes that don't match a specified filter.
Response
200 - The connection was updated successfully.
base_connection_id
string
network_type `gre_tunnel` connections use `base_connection_id` to specify the ID of a network_type `classic` connection the tunnel is configured over. The specified connection must reside in the same transit gateway and be in an active state. The `classic` connection cannot be deleted until any `gre_tunnel` connections using it are deleted. This field only applies to and is required for network type `gre_tunnel` connections.
base_network_type
string
The type of network the Unbound GRE tunnel is targeting. This field is required for network type `unbound_gre_tunnel` and must be set to `classic`. For a `redundant_gre` network type, the value is required and can be either VPC or Classic. This field is required to be unspecified for network type `classic`, `directlink`, `vpc`, `power_virtual_server`, `vpn_gateway`, `dynamic_route_server` and `gre_tunnel` connections.
cidr
string
network_type `vpn_gateway` and `dynamic_route_server` connections use `cidr` to specify the CIDR to use for the `VPN gateway / Dynamic route server` GRE tunnels
created_at
string
The date and time that this connection was created
id
string
The unique identifier for this Transit Gateway connection
local_bgp_asn
integer
Local network BGP ASN. This field only applies to network type `gre_tunnel` and `unbound_gre_tunnel` connections.
local_gateway_ip
string
Local gateway IP address. This field only applies to network type `gre_tunnel` and `unbound_gre_tunnel` connections.
local_tunnel_ip
string
Local tunnel IP address. This field only applies to network type `gre_tunnel` and `unbound_gre_tunnel` connections.
mtu
integer
GRE tunnel MTU. This field only applies to network type `gre_tunnel` and `unbound_gre_tunnel` connections.
name
string
The user-defined name for this transit gateway connection. Network type `vpc` connections are defaulted to the name of the VPC. Network type `classic` connections are named `classic`.
This field is required for network type `power_virtual_server`, `directlink`, `gre_tunnel`, `unbound_gre_tunnel`, `vpn_gateway`, `dynamic_route_server` and `redundant_gre` connections.
This field is optional for network type `classic`, `vpc` connections.
network_account_id
string
The ID of the account which owns the connected network. Generally only used if the network is in a different IBM Cloud account than the gateway.
network_id
string
The ID of the network being connected via this connection. For network types `vpc`, `vpn_gateway`, `dynamic_route_server`, `power_virtual_server` and `directlink` this is the CRN of the VPC / VPN / Dynamic Route Server / PowerVS / Direct Link gateway respectively. This field is required for network type `vpc`, `power_virtual_server`, `vpn_gateway`, `dynamic_route_server` and `directlink` connections. It is also required for `redundant_gre` connections when the base_network_type is set to VPC. This field is required to be unspecified for network type `classic`, `gre_tunnel` and `unbound_gre_tunnel` connections.
network_type
string
Defines what type of network is connected via this connection.
prefix_filters
array
Array of prefix route filters for a transit gateway connection. This is order dependent with those first in the array being applied first, and those at the end of the array is applied last, or just before the default. This field does not apply to the `redundant_gre` network type.
prefix_filters_default
string
Default setting of permit or deny which applies to any routes that don't match a specified filter. This field does not apply to the `redundant_gre` network type.
remote_bgp_asn
integer
Remote network BGP ASN. This field only applies to network type `gre_tunnel` and `unbound_gre_tunnel` connections.
remote_gateway_ip
string
Remote gateway IP address. This field only applies to network type `gre_tunnel` and `unbound_gre_tunnel` connections.
remote_tunnel_ip
string
Remote tunnel IP address. This field only applies to network type `gre_tunnel` and `unbound_gre_tunnel` connections.
request_status
string
Only visible for cross account connections, this field represents the status of a connection request between IBM Cloud accounts. The list of enumerated values for this property may expand in the future. Code and processes using this field must tolerate unexpected values.
status
string
Connection's current configuration state. The list of enumerated values for this property may expand in the future. Code and processes using this field must tolerate unexpected values.
tunnels
array
Collection of all tunnels for `redundant_gre`, `vpn_gateway` and `dynamic_route_server` connections.
updated_at
string
The date and time that this connection was last updated
zone
object
Location of GRE tunnel. This field is required for network type `gre_tunnel` and `unbound_gre_tunnel` connections. This field is optional for network type `vpn_gateway` connections.
400 - The connection update template was invalid.
errors
array
Array of errors
trace
string
Unique error identifier
404 - A connection or gateway with the specified identifier(s) could not be found.
errors
array
Array of errors
trace
string
Unique error identifier
Performs actions on a connection for a Transit Gateway
POST /transit_gateways/{transit_gateway_id}/connections/{id}/actions
Allow a network owner to approve or reject a cross-account connection request.
Request
Request Body
TransitGatewayConnectionActions
The action template
action
Required *
string
The action that is to be performed against the connection request
Response
204 - The connection approval/rejection was successful.
403 - The caller is not authorized to perform the requested action, or the action was called by the gateway owning account.
errors
array
Array of errors
trace
string
Unique error identifier
404 - A Transit Gateway or Transit Gateway connection with the specified identifier could not be found.
errors
array
Array of errors
trace
string
Unique error identifier
409 - Attempted to approve a classic_access VPC connection.
errors
array
Array of errors
trace
string
Unique error identifier
Retrieves all prefix filters in a Transit Gateway connection
GET /transit_gateways/{transit_gateway_id}/connections/{id}/prefix_filters
This request retrieves all prefix filters in a Transit Gateway connection.
Request
Response
200 - The prefix filters were retrieved successfully.
prefix_filters
array
Array of prefix filters
404 - The specified Transit Gateway could not be found.
errors
array
errors
trace
string
Unique error identifier
Add a prefix filter to a Transit Gateway connection
POST /transit_gateways/{transit_gateway_id}/connections/{id}/prefix_filters
Add a Prefix Filter to a Transit Gateway Connection. Prefix Filters can be added to `vpc`, `classic`, `directlink`, and `power_virtual_server` Connection types. Prefix Filters cannot be added to `gre_tunnel`, `unbound_gre_tunnel`, `redundant_gre` or `vpn_gateway` Connection types.
Request
Request Body
PrefixFilterTemplate
The prefix filters template
action
Required *
string
Whether or not this prefix filter should allow or deny prefixes matching this filter's prefix definition.
before
string
A reference to the prefix filter that will be the next filter applied to the Transit Gateway connection.
If this field is blank, this prefix filter will be the last rule applied before the connection's default rule.
When a prefix filter is created with the same before field as an existing prefix filter, the existing filter will be applied before the new filter, and the existing filter's before field will be updated accordingly.
ge
integer
Defines the minimum matched prefix precision. If this field is non-zero then the filter will match all routes within the `prefix` that have a prefix length greater than or equal to this value.
This value can be zero, or a non-negative number greater than or equal to the prefix length of the filter's prefix or less then or equal to 32. If this value is set to zero, the filter will not use the `ge` route matching behavior. If the `le` value is non-zero the the `ge` value must between the prefix length and the `le` value, inclusive.
le
integer
Defines the maximum matched prefix precision. If this field is non-zero then the filter will match all routes within the `prefix` that have a prefix length less than or equal to this value.
This value can be zero, or a non-negative number greater than or equal to the prefix length of the filter's prefix or less then or equal to 32. If this value is set to zero, the filter will not use the `le` route matching behavior. If the `ge` value is non-zero the the `le` value must between the `ge` value and 32, inclusive.
prefix
Required *
string
The IPv4 Prefix to be matched by this filter. If both the `le` and `ge` are zero, then this filter will only apply to routes that exactly match this prefix, while a non-zero value for either `le` or `ge`, this filter can apply to multiple routes with different prefix lengths, but will still only apply to prefixes contained in the address space defined by `prefix`.
Response
201 - The Transit Gateway connection prefix filters was created successfully.
action
string
Whether or not this prefix filter should allow or deny prefixes matching this filter's prefix definition.
before
string
A reference to the prefix filter that will be the next filter applied to the Transit Gateway connection.
If this field is blank, this prefix filter will be the last rule applied before the connection's default rule.
When a prefix filter is created with the same before field as an existing prefix filter, the existing filter will be applied before the new filter, and the existing filter's before field will be updated accordingly.
created_at
string
The date and time that this prefix filter was created
ge
integer
Defines the minimum matched prefix precision. If this field is non-zero then the filter will match all routes within the `prefix` that have a prefix length greater or equal to this value.
This value can be zero, or a non-negative number greater than or equal to the prefix length of the filter's prefix or less then or equal to 32. If this value is set to zero, the filter will not use the `ge` route matching behavior. If the `le` value is non-zero the the `ge` value must between the prefix length and the `le` value, inclusive.
id
string
Prefix Filter identifier
le
integer
Defines the maximum matched prefix precision. If this field is non-zero then the filter will match all routes within the `prefix` that have a prefix length less than or equal to this value.
This value can be zero, or a non-negative number greater than or equal to the prefix length of the filter's prefix or less then or equal to 32. If this value is set to zero, the filter will not use the `le` route matching behavior. If the `ge` value is non-zero the the `le` value must between the `ge` value and 32, inclusive.
prefix
string
The IPv4 Prefix to be matched by this filter. If both the `le` and `ge` are zero, then this filter will only apply to routes that exactly match this prefix, while a non-zero value for either `le` or `ge`, this filter can apply to multiple routes with different prefix lengths, but will still only apply to prefixes contained in the address space defined by `prefix`.
updated_at
string
The date and time that this prefix filter was last updated
400 - An invalid prefix filter template was provided.
errors
array
Array of errors
trace
string
Unique error identifier
404 - The specified Transit Gateway could not be found.
errors
array
errors
trace
string
Unique error identifier
Remove prefix filter from Transit Gateway connection
DELETE /transit_gateways/{transit_gateway_id}/connections/{id}/prefix_filters/{filter_id}
Delete a prefix filter.
Request
Response
204 - Prefix filter deleted successfully.
404 - A Prefix Filter with the specified identifier could not be found.
errors
array
errors
trace
string
Unique error identifier
Retrieves specified Transit Gateway connection prefix filter
GET /transit_gateways/{transit_gateway_id}/connections/{id}/prefix_filters/{filter_id}
This request retrieves a prefix filter from the Transit Gateway connection.
Request
Response
200 - The prefix filter was retrieved successfully.
action
string
Whether or not this prefix filter should allow or deny prefixes matching this filter's prefix definition.
before
string
A reference to the prefix filter that will be the next filter applied to the Transit Gateway connection.
If this field is blank, this prefix filter will be the last rule applied before the connection's default rule.
When a prefix filter is created with the same before field as an existing prefix filter, the existing filter will be applied before the new filter, and the existing filter's before field will be updated accordingly.
created_at
string
The date and time that this prefix filter was created
ge
integer
Defines the minimum matched prefix precision. If this field is non-zero then the filter will match all routes within the `prefix` that have a prefix length greater or equal to this value.
This value can be zero, or a non-negative number greater than or equal to the prefix length of the filter's prefix or less then or equal to 32. If this value is set to zero, the filter will not use the `ge` route matching behavior. If the `le` value is non-zero the the `ge` value must between the prefix length and the `le` value, inclusive.
id
string
Prefix Filter identifier
le
integer
Defines the maximum matched prefix precision. If this field is non-zero then the filter will match all routes within the `prefix` that have a prefix length less than or equal to this value.
This value can be zero, or a non-negative number greater than or equal to the prefix length of the filter's prefix or less then or equal to 32. If this value is set to zero, the filter will not use the `le` route matching behavior. If the `ge` value is non-zero the the `le` value must between the `ge` value and 32, inclusive.
prefix
string
The IPv4 Prefix to be matched by this filter. If both the `le` and `ge` are zero, then this filter will only apply to routes that exactly match this prefix, while a non-zero value for either `le` or `ge`, this filter can apply to multiple routes with different prefix lengths, but will still only apply to prefixes contained in the address space defined by `prefix`.
updated_at
string
The date and time that this prefix filter was last updated
404 - A prefix filter with the specified identifier could not be found.
errors
array
errors
trace
string
Unique error identifier
Updates specified Transit Gateway connection prefix filter
PATCH /transit_gateways/{transit_gateway_id}/connections/{id}/prefix_filters/{filter_id}
Update prefix filter for a Transit Gateway Connection.
Request
Request Body
PrefixFilterPatch
The prefix filter patch template
action
string
Whether or not this prefix filter should allow or deny prefixes matching this filter's prefix definition.
before
string
A reference to the prefix filter that will be the next filter applied to the Transit Gateway connection.
If this field is blank, this prefix filter will be the last rule applied before the connection's default rule.
When a prefix filter is created with the same before field as an existing prefix filter, the existing filter will be applied before the new filter, and the existing filter's before field will be updated accordingly.
ge
integer
Defines the minimum matched prefix precision. If this field is non-zero then the filter will match all routes within the `prefix` that have a prefix length greater or equal to this value.
This value can be zero, or a non-negative number greater than or equal to the prefix length of the filter's prefix or less then or equal to 32. If this value is set to zero, the filter will not use the `ge` route matching behavior. If the `le` value is non-zero the the `ge` value must between the prefix length and the `le` value, inclusive.
le
integer
Defines the maximum matched prefix precision. If this field is non-zero then the filter will match all routes within the `prefix` that have a prefix length less than or equal to this value.
This value can be zero, or a non-negative number greater than or equal to the prefix length of the filter's prefix or less then or equal to 32. If this value is set to zero, the filter will not use the `le` route matching behavior. If the `ge` value is non-zero the the `le` value must between the `ge` value and 32, inclusive.
prefix
string
The IPv4 Prefix to be matched by this filter
Response
200 - The prefix was updated successfully.
action
string
Whether or not this prefix filter should allow or deny prefixes matching this filter's prefix definition.
before
string
A reference to the prefix filter that will be the next filter applied to the Transit Gateway connection.
If this field is blank, this prefix filter will be the last rule applied before the connection's default rule.
When a prefix filter is created with the same before field as an existing prefix filter, the existing filter will be applied before the new filter, and the existing filter's before field will be updated accordingly.
created_at
string
The date and time that this prefix filter was created
ge
integer
Defines the minimum matched prefix precision. If this field is non-zero then the filter will match all routes within the `prefix` that have a prefix length greater or equal to this value.
This value can be zero, or a non-negative number greater than or equal to the prefix length of the filter's prefix or less then or equal to 32. If this value is set to zero, the filter will not use the `ge` route matching behavior. If the `le` value is non-zero the the `ge` value must between the prefix length and the `le` value, inclusive.
id
string
Prefix Filter identifier
le
integer
Defines the maximum matched prefix precision. If this field is non-zero then the filter will match all routes within the `prefix` that have a prefix length less than or equal to this value.
This value can be zero, or a non-negative number greater than or equal to the prefix length of the filter's prefix or less then or equal to 32. If this value is set to zero, the filter will not use the `le` route matching behavior. If the `ge` value is non-zero the the `le` value must between the `ge` value and 32, inclusive.
prefix
string
The IPv4 Prefix to be matched by this filter. If both the `le` and `ge` are zero, then this filter will only apply to routes that exactly match this prefix, while a non-zero value for either `le` or `ge`, this filter can apply to multiple routes with different prefix lengths, but will still only apply to prefixes contained in the address space defined by `prefix`.
updated_at
string
The date and time that this prefix filter was last updated
400 - The prefix filter update template was invalid.
errors
array
Array of errors
trace
string
Unique error identifier
404 - A prefix filter with the specified identifier could not be found.
errors
array
errors
trace
string
Unique error identifier
Retrieves specified Transit Gateway redundant gre connection tunnels
GET /transit_gateways/{transit_gateway_id}/connections/{id}/tunnels
This request retrieves a list of all the tunnels for connection.
Request
Response
200 - The list of tunnels was retrieved successfully.
tunnels
array
Collection of all tunnels for `redundant_gre`, `vpn_gateway` and `dynamic_route_server` connections.
404 - A connection or gateway with the specified identifier(s) could not be found.
errors
array
Array of errors
trace
string
Unique error identifier
Creates a Transit Gateway redundant GRE tunnel
POST /transit_gateways/{transit_gateway_id}/connections/{id}/tunnels
Add a tunnel to an existing Redundant GRE connection.
Request
Request Body
TransitGatewayTunnelTemplate
The action template
local_gateway_ip
Required *
string
Local gateway IP address.
local_tunnel_ip
Required *
string
Local tunnel IP address. The local_tunnel_ip and remote_tunnel_ip addresses must be in the same /30 network. Neither can be the network nor broadcast addresses.
name
Required *
string
The user-defined name for this tunnel connection.
remote_bgp_asn
integer
Remote network BGP ASN. The following ASN values are reserved and unavailable 0, 13884, 36351, 64512, 64513, 65100, 65200-65234, 65402-65433, 65500, 65516, 65519, 65521, 65531 and 4201065000-4201065999 If `remote_bgp_asn` is omitted on create requests, IBM will assign an ASN.
remote_gateway_ip
Required *
string
Remote gateway IP address.
remote_tunnel_ip
Required *
string
Remote tunnel IP address. The local_tunnel_ip and remote_tunnel_ip addresses must be in the same /30 network. Neither can be the network nor broadcast addresses.
zone
Required *
object
Specify the connection's location. The specified availability zone must reside in the gateway's region. Use the IBM Cloud global catalog to list zones within the desired region.
Response
201 - Successfully created the new Redundant GRE tunnel connection.
base_network_type
string
The type of network the redundant GRE tunnel is targeting.
created_at
string
The date and time that this GRE tunnel was created
id
string
The unique identifier for this redundant GRE tunnel
local_bgp_asn
integer
Local network BGP ASN. It is assigned by IBM when the tunnel is created.
local_gateway_ip
string
Local gateway IP address.
local_tunnel_ip
string
Local tunnel IP address. The local_tunnel_ip and remote_tunnel_ip addresses must be in the same /30 network. Neither can be the network nor broadcast addresses.
mtu
integer
GRE tunnel MTU.
name
string
The user-defined name for this tunnel.
network_account_id
string
The ID of the account for cross account Classic connections. This field is required when the GRE tunnel is in a different account than the gateway and the base network is Classic.
network_id
string
The ID of the network VPC being connected via this connection.
remote_bgp_asn
integer
Remote network BGP ASN. The following ASN values are reserved and unavailable 0, 13884, 36351, 64512, 64513, 65100, 65200-65234, 65402-65433, 65500, 65516, 65519, 65521, 65531 and 4201065000-4201065999 If `remote_bgp_asn` is omitted on create requests, IBM will assign an ASN.
remote_gateway_ip
string
Remote gateway IP address.
remote_tunnel_ip
string
Remote tunnel IP address. The local_tunnel_ip and remote_tunnel_ip addresses must be in the same /30 network. Neither can be the network nor broadcast addresses.
status
string
Tunnel's current configuration state. The list of enumerated values for this property may expand in the future. Code and processes using this field must tolerate unexpected values.
updated_at
string
The date and time that this tunnel was last updated
zone
ZoneReference
Availability zone reference
403 - The caller is not authorized to perform the requested action, or the action was called by the gateway owning account.
errors
array
Array of errors
trace
string
Unique error identifier
404 - A Transit Gateway or Transit Gateway connection with the specified identifier could not be found.
errors
array
Array of errors
trace
string
Unique error identifier
Deletes a specified Transit Gateway redundant GRE tunnel
DELETE /transit_gateways/{transit_gateway_id}/connections/{id}/tunnels/{gre_tunnel_id}
Remove a tunnel from a redundant GRE connection
Request
Response
204 - The connection tunnel was removed successfully.
404 - A Transit Gateway or Transit Gateway connection with the specified identifier could not be found.
errors
array
Array of errors
trace
string
Unique error identifier
Retrieves specified Transit Gateway connection tunnel
GET /transit_gateways/{transit_gateway_id}/connections/{id}/tunnels/{gre_tunnel_id}
This request retrieves a connection tunnel from the Transit Gateway connection.
Request
Response
200 - The connection tunnel was retrieved successfully.
base_network_type
string
The type of network the redundant GRE tunnel is targeting.
created_at
string
The date and time that this GRE tunnel was created
id
string
The unique identifier for this redundant GRE tunnel
local_bgp_asn
integer
Local network BGP ASN. It is assigned by IBM when the tunnel is created.
local_gateway_ip
string
Local gateway IP address.
local_tunnel_ip
string
Local tunnel IP address. The local_tunnel_ip and remote_tunnel_ip addresses must be in the same /30 network. Neither can be the network nor broadcast addresses.
mtu
integer
GRE tunnel MTU.
name
string
The user-defined name for this tunnel.
network_account_id
string
The ID of the account for cross account Classic connections. This field is required when the GRE tunnel is in a different account than the gateway and the base network is Classic.
network_id
string
The ID of the network VPC being connected via this connection.
remote_bgp_asn
integer
Remote network BGP ASN. The following ASN values are reserved and unavailable 0, 13884, 36351, 64512, 64513, 65100, 65200-65234, 65402-65433, 65500, 65516, 65519, 65521, 65531 and 4201065000-4201065999 If `remote_bgp_asn` is omitted on create requests, IBM will assign an ASN.
remote_gateway_ip
string
Remote gateway IP address.
remote_tunnel_ip
string
Remote tunnel IP address. The local_tunnel_ip and remote_tunnel_ip addresses must be in the same /30 network. Neither can be the network nor broadcast addresses.
status
string
Tunnel's current configuration state. The list of enumerated values for this property may expand in the future. Code and processes using this field must tolerate unexpected values.
updated_at
string
The date and time that this tunnel was last updated
zone
ZoneReference
Availability zone reference
404 - A connection, gateway or tunnel with the specified identifier(s) could not be found.
errors
array
Array of errors
trace
string
Unique error identifier
Updates specified Transit Gateway redundant GRE tunnel
PATCH /transit_gateways/{transit_gateway_id}/connections/{id}/tunnels/{gre_tunnel_id}
Update the name of a connection tunnel.
Request
Request Body
The update connection tunnel template
Response
200 - The connection tunnel was updated successfully.
base_network_type
string
The type of network the redundant GRE tunnel is targeting.
created_at
string
The date and time that this GRE tunnel was created
id
string
The unique identifier for this redundant GRE tunnel
local_bgp_asn
integer
Local network BGP ASN. It is assigned by IBM when the tunnel is created.
local_gateway_ip
string
Local gateway IP address.
local_tunnel_ip
string
Local tunnel IP address. The local_tunnel_ip and remote_tunnel_ip addresses must be in the same /30 network. Neither can be the network nor broadcast addresses.
mtu
integer
GRE tunnel MTU.
name
string
The user-defined name for this tunnel.
network_account_id
string
The ID of the account for cross account Classic connections. This field is required when the GRE tunnel is in a different account than the gateway and the base network is Classic.
network_id
string
The ID of the network VPC being connected via this connection.
remote_bgp_asn
integer
Remote network BGP ASN. The following ASN values are reserved and unavailable 0, 13884, 36351, 64512, 64513, 65100, 65200-65234, 65402-65433, 65500, 65516, 65519, 65521, 65531 and 4201065000-4201065999 If `remote_bgp_asn` is omitted on create requests, IBM will assign an ASN.
remote_gateway_ip
string
Remote gateway IP address.
remote_tunnel_ip
string
Remote tunnel IP address. The local_tunnel_ip and remote_tunnel_ip addresses must be in the same /30 network. Neither can be the network nor broadcast addresses.
status
string
Tunnel's current configuration state. The list of enumerated values for this property may expand in the future. Code and processes using this field must tolerate unexpected values.
updated_at
string
The date and time that this tunnel was last updated
zone
ZoneReference
Availability zone reference
400 - The connection tunnel update template was invalid.
errors
array
Array of errors
trace
string
Unique error identifier
404 - A connection, gateway or tunnel with the specified identifier(s) could not be found.
errors
array
Array of errors
trace
string
Unique error identifier
Lists route reports
GET /transit_gateways/{transit_gateway_id}/route_reports
Retrieve all route reports for the specified Transit Gateway. There will normally be at most one completed report and one pending report. Additionally, completed route reports are written to IBM Cloud Activity Tracker.
Request
Response
200 - Reports retrieved successfully.
route_reports
array
Array of route reports
404 - The specified Transit Gateway could not be found.
errors
array
errors
trace
string
Unique error identifier
Requests a route report
POST /transit_gateways/{transit_gateway_id}/route_reports
Request route report generation. While report generation is in progress, additional requests to generate a report are ignored and return the current pending report.
Request
Response
202 - Route report request successful. If not already in progress, report generation has begun.
connections
array
Array of connections with their routes
created_at
string
Date and time route report was requested
id
string
Report identifier
overlapping_routes
array
Array of overlapping routes
status
string
Route report status. The list of enumerated values for this property may expand in the future. Code and processes using this field must tolerate unexpected values.
updated_at
string
Date and time route report was last modified
404 - The specified Transit Gateway could not be found.
errors
array
errors
trace
string
Unique error identifier
Deletes a route report
DELETE /transit_gateways/{transit_gateway_id}/route_reports/{id}
Delete a route report.
Request
Response
204 - Route report deleted successfully.
404 - A Transit Gateway or route report with the specified identifier could not be found.
errors
array
errors
trace
string
Unique error identifier
Retrieves a route report
GET /transit_gateways/{transit_gateway_id}/route_reports/{id}
Retrieve a route report.
Request
Response
200 - Route report retrieved successfully.
connections
array
Array of connections with their routes
created_at
string
Date and time route report was requested
id
string
Report identifier
overlapping_routes
array
Array of overlapping routes
status
string
Route report status. The list of enumerated values for this property may expand in the future. Code and processes using this field must tolerate unexpected values.
updated_at
string
Date and time route report was last modified
404 - A route report or gateway with the specified identifier(s) could not be found.
errors
array
errors
trace
string
Unique error identifier